# OpenMMException Class Reference

This class is used for all exceptions thrown by OpenMM. More...

Inherits simtk::openmm::openmm::_object.

List of all members.

## Public Member Functions
def | __del__
| __del__(OpenMM.OpenMMException self)
def | what
| what(OpenMMException self) -> char const *
def | __init__
| __init__(OpenMM.OpenMMException self, std.string const & message) -> OpenMMException __init__(OpenMM.OpenMMException self, OpenMMException other) -> OpenMMException
## Public Attributes
| this

## Detailed Description

This class is used for all exceptions thrown by OpenMM.

## Member Function Documentation

def __del__ | ( |  | self | ) |

__del__(OpenMM.OpenMMException self)

def __init__ | ( |  | self,
|  |  | args |
| ) |  |  |

__init__(OpenMM.OpenMMException self, std.string const & message) -> OpenMMException __init__(OpenMM.OpenMMException self, OpenMMException other) -> OpenMMException

This class is used for all exceptions thrown by OpenMM.

def what | ( |  | self | ) |

what(OpenMMException self) -> char const *

## Member Data Documentation

this

The documentation for this class was generated from the following file:

- openmm.py